using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class TextNode
{
	[SerializeField]
	private string _characterName;
	[SerializeField]
	private Color _characterNameColor = Color.white;
	[Multiline]
	[SerializeField]
	private string _text;

	[SerializeField]
	private Sprite _sprite;

	public string MySignalData;

	public string CharacterName { get => _characterName; }
	public Color CharacterNameColor { get => _characterNameColor; }
	public string Text { get => _text; }
}
