using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;

[CustomEditor(typeof(SelectVariantDialogScriptableObject))]
public class SelectVariantDialogScriptableObjectEditor : Editor
{
	public override void OnInspectorGUI()
	{
		var path = AssetDatabase.GetAssetPath(target);
		path = path.Replace("Assets/Resources/", "").Replace(".asset", "");

		if (GUILayout.Button(path))
		{
			GUIUtility.systemCopyBuffer = path;
		}

		base.OnInspectorGUI();
	}
}
