using System;
using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.UI;

public class UiDialogVariantElement : MonoBehaviour
{
	[SerializeField]
	private TMP_Text _text;

	[SerializeField]
	private Button _button;

	public void Init(string text, UnityAction onClick)
	{
		_text.text = text;

		_button.onClick.AddListener(onClick);
	}
}
